<?php

$jSon['retorno'] = "Retorno da Ação!";

$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);
$setPost = array_map("strip_tags", $getPost);
$post = array_map("trim", $setPost);

//print_r($post);
$action = $post['action'];
$jSon = array();

unset($post['action']);
unset($post['SendPostForm']);

if ($action):
    require ('../../../_app/Config.inc.php');
    require('../../_models/AdminUsuario.class.php');
endif;

switch ($action):
    case 'create':

        //$post['moeda_data_cad'] = date("Y-m-d H:i:s");

        $Create = new Create;
        $Create->ExeCreate("tp_moedas", $post);

        if (!$Create->getResult()):
//                WSErro($cadastra->getError()[0], $cadastra->getError()[1]);
            $jSon['error'] = ['Ocorreu um erro no cadastro. Por favor entre em contato com o suporte do sistema.', WS_ERROR];
        else:
            $jSon['error'] = ['A moeda foi cadastrada com sucesso!', WS_ACCEPT];
//                header('Location: painel.php?exe=moeda/index&create=true');
        endif;

        break;
    case 'read':
        break;
    case 'update':
        $modid = $post['moeda_id'];
        unset($post['moeda_id']);
        
        $update = new Update;
        $update->ExeUpdate("tp_moedas", $post, "WHERE moeda_id = :id", "id={$modid}");

        if (!$update->getResult()):
            $jSon['error'] = ['Ocorreu um erro na atualização. Por favor entre em contato com o suporte do sistema.', WS_ERROR];
        else:
            $jSon['error'] = ['O moeda foi atualizado com sucesso!', WS_ACCEPT];
        endif;
        break;
    case 'delete':
        $id = $post['id'];
        $Read = new Read;
        $Read->ExeRead("tp_moedas", "WHERE moeda_id = :id", "id={$id}");
        $id_user = $Read->getResult()['moeda_id'];

        $Read->ExeRead("tp_aluno", "WHER moeda_id = :id", "id={$id}");
        if ($Read->getResult()):
            $jSon['error'] = ['Esse moeda possui alunos cadastrados, Antes de excluir vc precisa deletar os alunos'];
        endif;

        $Delete = new Delete;
        $Delete->ExeDelete("tp_moedas", "WHERE moeda_id = :id", "id={$post['moeda_id']}");
        break;
    default :
        $jSon['error'] = ["Erro ao selecionar Ação!", "error"];
endswitch;

echo json_encode($jSon);
